package main

func webErrorTmplt() string {
	return `<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<title>{{ .Title }}</title>
	<style type="text/css">
		body {
			width: 100%;
			height: 100vh;
			display: flex;
			align-items: center;
			justify-content: center;
			flex-direction: column;
			family: 'Poppins', sans-serif;
			background-image: linear-gradient(45deg, #f6d200 25%, #181617 25%, #181617 50%, #f6d200 50%, #f6d200 75%, #181617 75%, #181617 100%);
		}
		h1 { 
			text-transform: uppercase;
			background: repeating-linear-gradient(
				45deg,
				#f6d200 ,
				#f6d200 10px,
				#181617 10px,
				#181617 20px
			);
			-webkit-background-clip: text;
			-webkit-text-fill-color: transparent;
			font-size: 384px;
			margin: 0;
			line-height: .7;
			position: relative;
		}
	</style>
</head>
	
<body id="home">
	<h1 class="text"><span>{{ printf "%d" .ErrorCode }}</span></h1>
</body>
</html>`
}
